    /*
     *  call-seq:
     *     index_writer.field_infos -> FieldInfos
     *
     *  Get the FieldInfos object for this IndexWriter. This is useful if you need
     *  to dynamically add new fields to the index with specific properties.
     */
    static VALUE
    frb_iw_field_infos(VALUE self)
    {
        IndexWriter *iw = (IndexWriter *)DATA_PTR(self);
        return frb_get_field_infos(iw->fis);
    }